> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kits.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET: Fetch Stem Splitter Jobs

> Get statuses of stem splitter jobs using the Kits API.

Returns a paginated list of [stem splitter jobs](/api-reference/types-limits/vocal-separation-job).

### Query Parameters

<ParamField query="order" type="String">
  asc (default) or desc
</ParamField>

<ParamField query="page" type="Number">
  Page offset (default 1)
</ParamField>

<ParamField query="perPage" type="Number">
  Page size (default 10)
</ParamField>

### Headers

<ParamField query="Authorization*" type="String">
  Bearer (api-key)
</ParamField>

### Response

<ResponseField name="data" type="List of Stem Splitter Jobs">
  <Expandable title="Data">
    [Stem Splitter Job](/api-reference/types-limits/vocal-separation-job)
  </Expandable>
</ResponseField>

<ResponseField name="meta" type="Pagination Meta">
  <Expandable title="Data">
    [Pagination Meta](/api-reference/types-limits/pagination-meta)
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200: OK Paginated stem splitter jobs theme={null}
  {
      "data": [
        {
          "id": 1,
          "createdAt": "2023-09-19 20:13:50.428000 +00:00",
          "type": "separate",
          "status": "running",
          "jobStartTime": "2023-09-19 20:15:50.428000 +00:00",
          "jobEndTime": "2023-09-19 20:16:45.227000 +00:00",
          "vocalAudioFileUrl": "https://...",
          "lossyVocalAudioFileUrl": "https://...",
          "backingAudioFileUrl": "https://...",
          "stemFileUrls": [
            { "instrument": "vocals", "url": "https://..." },
            { "instrument": "harmony", "url": "https://..." },
            { "instrument": "reverb", "url": "https://..." }
          ],
          "lossyStemFileUrls": [
            { "instrument": "vocals", "url": "https://..." },
            { "instrument": "harmony", "url": "https://..." },
            { "instrument": "reverb", "url": "https://..." }
          ]
        },
        ...
      ],
      "meta": {
           "currentPage": 1,
           "firstPage": 1,
           "firstPageUrl": "/?page=1",
           "lastPage": 3,
           "lastPageUrl": "/?page=2",
           "nextPageUrl": "/?page=3",
           "perPage": 10,
           "previousPageUrl": null,
           "total": 30,
      }
  }
  ```

  ```bash 401: Unauthorized theme={null}
  Authentication was not provided or was invalid.
  ```

  ```bash 422: Unprocessable Entity theme={null}
  Query params are invalid.
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.